#include <iostream>
#include <vector>
#include <cmath>
#include <windows.h>
#include "histogram.h"
#include "svg.h"
#include <curl/curl.h>

using namespace std;
struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};



Input
input_data(istream& tin, bool prompt)
{

    size_t number_count;
    if(prompt)
    cerr << "Enter number_count ";

    tin >> number_count;

    vector<double> numbers(number_count);
    Input in;
    in.numbers.resize(number_count);

    if(prompt)
    cerr << "Enter numbers ";

    for (size_t i = 0; i < number_count; i++)
    {
        cin >> in.numbers[i];
    }

    size_t bin_count;

    if(prompt)
    cerr << "Enter bin_count ";

    tin >> in.bin_count;
    return in;

}






int main(int argc, char* argv[])
{
    if(argc>1){
        for(size_t i = 0; i < argc; i++)
            cerr << "argv["<<i<<"]="<<argv[i]<<endl;
        return 0;
    }
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin, false);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
